Elltube
Video
Score 86%
Description:

Elltube is a YouTube Downloader and Converter.

The only you have to do is to put YouTube URL and choose the desired format, then, push Download!

You'll need 'PyQt4'. Also, if you want to use convert function, you have to install 'ffmpeg' program, avaible from many distribution repositories.

Avaible languages:
* English
* Catalan
* Spanish
* Italian
* Polish
* French
* German
* Portuguese (Brazil)
* Serbian

Please, visit new Elltube website!
http://elltube.sourceforge.net

Elltube will have multisite and multidownload support in next version! Check this to propose new sites where to download media content
http://elltube.sourceforge.net/?q=node/14
Last changelog:

9 years ago

Version 0.3 (2008-11-30)
-----------------------------
* Fixed Dolphin browser detection
* Fixed video format detection regexp
* Added translations for file dialogs and right-click menu (when avaible)
* Fixed conversion with xvid for newest versions of ffmpeg: added "-aspect 1:1" as parameter
* Added Serbian and Potuguese (Brazil) translations
* Now uses Linux as OS in User Agent
* Added manual language selection

Mehrab

8 years ago

How can I set proxy? does it use the KDE proxy settings?

Report

fvanham

8 years ago

I like this app.
It simple and powerfull :)
I noticed that there is no HD-option
so the app downloads the high def mp4 version. And if i want to put it in mp3, I could have a better than 64 k/bit file. 64 sounds crappy :s

keep up the nice/good work :)

filip

Report

fvanham

8 years ago

* 64 kbps

Could I help you to make a Dutch (Nederlands) translation?

Report

Kirilo

8 years ago

Hi, after a reinstall I tried to run elltube, but (either per python elltube.py or after install) I get an error message: /usr/lib64/python2.6/site-packages/PyQt4/QtGui.so: undefined symbol: _ZNK16QFileSystemModel6removeERK11QModelIndex

As far as I know, all required packages are installed (python 2.6, PyQt4).

(OpenSuSE 11.1, Kernel 2.6.27.7-9-default x86_64, KDE 4.2)

Report

Kirilo

8 years ago

Here is some more input (python -v elltube.py):

# installing zipimport hook
import zipimport # builtin
# installed zipimport hook
# /usr/lib64/python2.6/site.pyc matches /usr/lib64/python2.6/site.py
import site # precompiled from /usr/lib64/python2.6/site.pyc
# /usr/lib64/python2.6/os.pyc matches /usr/lib64/python2.6/os.py
import os # precompiled from /usr/lib64/python2.6/os.pyc
import errno # builtin
import posix # builtin
# /usr/lib64/python2.6/posixpath.pyc matches /usr/lib64/python2.6/posixpath.py
import posixpath # precompiled from /usr/lib64/python2.6/posixpath.pyc
# /usr/lib64/python2.6/stat.pyc matches /usr/lib64/python2.6/stat.py
import stat # precompiled from /usr/lib64/python2.6/stat.pyc
# /usr/lib64/python2.6/genericpath.pyc matches /usr/lib64/python2.6/genericpath.py
import genericpath # precompiled from /usr/lib64/python2.6/genericpath.pyc
# /usr/lib64/python2.6/warnings.pyc matches /usr/lib64/python2.6/warnings.py
import warnings # precompiled from /usr/lib64/python2.6/warnings.pyc
# /usr/lib64/python2.6/linecache.pyc matches /usr/lib64/python2.6/linecache.py
import linecache # precompiled from /usr/lib64/python2.6/linecache.pyc
# /usr/lib64/python2.6/types.pyc matches /usr/lib64/python2.6/types.py
import types # precompiled from /usr/lib64/python2.6/types.pyc
# /usr/lib64/python2.6/UserDict.pyc matches /usr/lib64/python2.6/UserDict.py
import UserDict # precompiled from /usr/lib64/python2.6/UserDict.pyc
# /usr/lib64/python2.6/_abcoll.pyc matches /usr/lib64/python2.6/_abcoll.py
import _abcoll # precompiled from /usr/lib64/python2.6/_abcoll.pyc
# /usr/lib64/python2.6/abc.pyc matches /usr/lib64/python2.6/abc.py
import abc # precompiled from /usr/lib64/python2.6/abc.pyc
# /usr/lib64/python2.6/copy_reg.pyc matches /usr/lib64/python2.6/copy_reg.py
import copy_reg # precompiled from /usr/lib64/python2.6/copy_reg.pyc
import encodings # directory /usr/lib64/python2.6/encodings
# /usr/lib64/python2.6/encodings/__init__.pyc matches /usr/lib64/python2.6/encodings/__init__.py
import encodings # precompiled from /usr/lib64/python2.6/encodings/__init__.pyc
# /usr/lib64/python2.6/codecs.pyc matches /usr/lib64/python2.6/codecs.py
import codecs # precompiled from /usr/lib64/python2.6/codecs.pyc
import _codecs # builtin
# /usr/lib64/python2.6/encodings/aliases.pyc matches /usr/lib64/python2.6/encodings/aliases.py
import encodings.aliases # precompiled from /usr/lib64/python2.6/encodings/aliases.pyc
# /usr/lib64/python2.6/encodings/utf_8.pyc matches /usr/lib64/python2.6/encodings/utf_8.py
import encodings.utf_8 # precompiled from /usr/lib64/python2.6/encodings/utf_8.pyc
Python 2.6 (r26:66714, Feb 3 2009, 20:49:49)
[GCC 4.3.2 [gcc-4_3-branch revision 141291]] on linux2
Type "help", "copyright", "credits" or "license" for more information.
elltube.py: inconsistent use of tabs and spaces in indentation
# /usr/lib64/python2.6/encodings/utf_16_be.pyc matches /usr/lib64/python2.6/encodings/utf_16_be.py
import encodings.utf_16_be # precompiled from /usr/lib64/python2.6/encodings/utf_16_be.pyc
import PyQt4 # directory /usr/lib64/python2.6/site-packages/PyQt4
import PyQt4 # from /usr/lib64/python2.6/site-packages/PyQt4/__init__.py
# can't create /usr/lib64/python2.6/site-packages/PyQt4/__init__.pyc
dlopen("/usr/lib64/python2.6/site-packages/PyQt4/QtGui.so", 2);
Traceback (most recent call last):
File "elltube.py", line 24, in <module>
from PyQt4.QtGui import *
ImportError: /usr/lib64/python2.6/site-packages/PyQt4/QtGui.so: undefined symbol: _ZNK16QFileSystemModel6removeERK11QModelIndex
# clear __builtin__._
# clear sys.path
# clear sys.argv
# clear sys.ps1
# clear sys.ps2
# clear sys.exitfunc
# clear sys.exc_type
# clear sys.exc_value
# clear sys.exc_traceback
# clear sys.last_type
# clear sys.last_value
# clear sys.last_traceback
# clear sys.path_hooks
# clear sys.path_importer_cache
# clear sys.meta_path
# clear sys.flags
# clear sys.float_info
# restore sys.stdin
# restore sys.stdout
# restore sys.stderr
# cleanup __main__
# cleanup[1] encodings
# cleanup[1] site
# cleanup[1] PyQt4
# cleanup[1] abc
# cleanup[1] encodings.utf_16_be
# cleanup[1] _codecs
# cleanup[1] _warnings
# cleanup[1] zipimport
# cleanup[1] encodings.utf_8
# cleanup[1] codecs
# cleanup[1] signal
# cleanup[1] posix
# cleanup[1] encodings.aliases
# cleanup[1] exceptions
# cleanup[2] copy_reg
# cleanup[2] posixpath
# cleanup[2] errno
# cleanup[2] _abcoll
# cleanup[2] types
# cleanup[2] genericpath
# cleanup[2] stat
# cleanup[2] warnings
# cleanup[2] UserDict
# cleanup[2] os.path
# cleanup[2] linecache
# cleanup[2] os
# cleanup sys
# cleanup __builtin__
# cleanup ints: 20 unfreed ints
# cleanup floats

Report

C

lesergi

8 years ago

Hi,

ImportError: /usr/lib64/python2.6/site-packages/PyQt4/QtGui.so: undefined symbol: _ZNK16QFileSystemModel6removeERK11QModelIndex

I think this error is caused by PyQt4 package in your system. This appears when there is a incoherence between libraries versions. I propose you to file a bug to OpenSuse tracker.

Report

marcus-goncalves

8 years ago

In Redtube don't work!

Report

C

lesergi

8 years ago

Hi,

Multisite download is not supported in stable version. I said Elltube will have multisite support in next version, for this, I want to receive proposals in http://elltube.sourceforge.net/?q=node/14 and if it is possible to add them in next release.

Regards.

Report

marcus-goncalves

8 years ago

ok, thank's!

Report

Hwoarang

8 years ago

Hey

It would be easier for us to maintain your package if you updated the version number each time you say "new version". There is no need to release a new version and keep the same version number

Thanks :)

Report

C

lesergi

8 years ago

Hi,

There is not a new version of Elltube. Last version is 0.3, released at 2008-11-30, like changelog says.

If you said me this because there was a Elltube update it is because I add to Elltube description the next: "Elltube will have multisite and multidownload support! Check this to propose new sites where to download media content".

As I said, Elltube will have in next version multisite and multidownload support, but next version. I would like everybody propose sites where download content next version.

Regards.

Report

dglent

8 years ago

i have a problem to convert videos to avi. This happens with all the videos

FFmpeg version SVN-r14161, Copyright (c) 2000-2008 Fabrice Bellard, et al.
configuration: --prefix=/usr --enable-shared --libdir=/usr/lib --shlibdir=/usr/lib --incdir=/usr/include --enable-liba52 --enable-postproc --enable-gpl --enable-pthreads --enable-libnut --enable-libtheora --enable-libvorbis --enable-x11grab --enable-swscale --enable-libmp3lame --enable-libfaad --enable-libfaac --enable-libx264 --enable-libxvid
libavutil version: 49.7.0
libavcodec version: 51.60.0
libavformat version: 52.17.0
libavdevice version: 52.0.0
built on Jul 11 2008 02:18:34, gcc: 4.3.1 20080626 (prerelease)

Seems stream 0 codec frame rate differs from container frame rate: 1000.00 (1000/1) -> 25.00 (25/1)
Input #0, flv, from 'Mia Italida ap' tin Kypseli.flv':
Duration: 00:04:00.68, start: 0.000000, bitrate: 56 kb/s
Stream #0.0: Video: flv, yuv420p, 320x240, 25.00 tb(r)
Stream #0.1: Audio: mp3, 22050 Hz, mono, 56 kb/s
Unable to find a suitable output format for 'libxvidcore'


i have mandriva 2009


any idea ?
thanks
Dimitri

Report

C

lesergi

8 years ago

Hi,

Thanks for your report!

Please, I'll need you paste here the output of following commands:
ffmpeg -formats | grep xvid
Also, the 2 first line of:
elltube -v

Thanks!

Report

dglent

8 years ago

[dimitri@localhost ~]$ ffmpeg -formats | grep xvid
FFmpeg version SVN-r14161, Copyright (c) 2000-2008 Fabrice Bellard, et al.
configuration: --prefix=/usr --enable-shared --libdir=/usr/lib --shlibdir=/usr/lib --incdir=/usr/include --enable-liba52 --enable-postproc --enable-gpl --enable-pthreads --enable-libnut --enable-libtheora --enable-libvorbis --enable-x11grab --enable-swscale --enable-libmp3lame --enable-libfaad --enable-libfaac --enable-libx264 --enable-libxvid
libavutil version: 49.7.0
libavcodec version: 51.60.0
libavformat version: 52.17.0
libavdevice version: 52.0.0
built on Jul 11 2008 02:18:34, gcc: 4.3.1 20080626 (prerelease)
EV libxvid libxvidcore MPEG-4 part 2
[dimitri@localhost ~]$

[dimitri@localhost ~]$ elltube -v
Detecting codecs from ffmpeg
Codecs detected: ['libxvid libxvidcore MPEG-4 part 2', 'libmp3lame

Report

C

lesergi

8 years ago

Hi,

I think this is fixed in SVN.

Please try with http://elltube.svn.sourceforge.net/viewvc/elltube.tar.gz?view=tar

Decompress and execute inside:
python elltube.py

If it does not work, please, paste again "python elltube.py -v"

Report

dglent

8 years ago

it works now!

thanks

Report

C

lesergi

8 years ago

:D

Report

Hwoarang

8 years ago

Hello.
While I was trying to convert a video i got a popup with the following error

---------------------------------------
FFmpeg version SVN-rUNKNOWN, Copyright (c) 2000-2007 Fabrice Bellard, et al.
configuration: --prefix=/usr --libdir=/usr/lib64 --shlibdir=/usr/lib64 --mandir=/usr/share/man --enable-static --enable-shared --cc=x86_64-pc-linux-gnu-gcc --disable-altivec --disable-debug --disable-dv1394 --disable-network --disable-opts --enable-libmp3lame --enable-libvorbis --enable-libogg --enable-liba52 --enable-pthreads --enable-libxvid --enable-x11grab --enable-libogg --enable-libx264 --enable-libfaad --enable-libfaac --enable-gpl --enable-pp --disable-strip
libavutil version: 49.4.0
libavcodec version: 51.40.4
libavformat version: 51.12.1
built on Oct 20 2008 17:26:38, gcc: 4.3.1

Seems stream 0 codec frame rate differs from container frame rate: 1000.00 (1000/1) -> 12.00 (12/1)
Input #0, flv, from 'trendy litsa locomondo.flv':
Duration: 00:02:56.3, start: 0.000000, bitrate: 8 kb/s
Stream #0.0: Video: flv, yuv420p, 320x239, 12.00 fps(r)
Stream #0.1: Audio: mp3, 22050 Hz, mono, 8 kb/s
Output #0, avi, to 'trendy litsa locomondo.avi':
Stream #0.0: Video: libxvid, yuv420p, 320x239, q=2-31, 200 kb/s, 12.00 fps(c)
Stream #0.1: Audio: libmp3lame, 22050 Hz, mono, 64 kb/s
Stream mapping:
Stream #0.0 -> #0.0
Stream #0.1 -> #0.1
[libxvid @ 0x7fcf7a77ddb0]XviD: Could not create encoder reference
Error while opening codec for output stream #0.0 - maybe incorrect parameters such as bit_rate, rate, width or height
---------------------------------------


In the past ellutbe worked ok with this version of ffmpeg.

Any ideas?

Report

C

lesergi

8 years ago

Hi!

Can you tell me video URL?

Can you try with other video if you have same problem?

Thanks!

Report

Hwoarang

8 years ago

Sure

This ->

http://www.youtube.com/watch?v=IbRhayuphb8

is the youtube url im trying to convert


It doesnt happen with other videos... ( I tried 5 other videos and like 20 in the past )

Report

C

lesergi

8 years ago

Thanks for your reply.

It's very rare this error, it happens to me too, it seems be "this video" who do to fail the conversion.

BTW, fun ska song! :P

I will notice you when I fix it.

Bye.

Report

Hwoarang

8 years ago

It is quite funny yeah. The lyrics are in greek language :P

OK, i will wait for a fix.

Many thanks :)

Report

pauelmaco

9 years ago

Perfect catalan...

well...

Report

C

lesergi

9 years ago

what...?

Report

pauelmaco

9 years ago


Doncs que el català és molt bo!

Bon programa!

(the catalan is very good)

(good program)

Report

9 years ago

Version 0.3 (2008-11-30)
-----------------------------
* Fixed Dolphin browser detection
* Fixed video format detection regexp
* Added translations for file dialogs and right-click menu (when avaible)
* Fixed conversion with xvid for newest versions of ffmpeg: added "-aspect 1:1" as parameter
* Added Serbian and Potuguese (Brazil) translations
* Now uses Linux as OS in User Agent
* Added manual language selection

product-maker 19 151

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.3
updated Dec 16 2008
added Sep 18 2008
downloads today
0
page views today 3